PERFORCE change 83803 for review

Christian S.J. Peron csjp at FreeBSD.org
Sat Sep 17 23:43:52 GMT 2005


http://perforce.freebsd.org/chv.cgi?CH=83803

Change 83803 by csjp at csjp_xor on 2005/09/17 23:43:09

	Error if the mac_chkexec kernel module is not present if the regression
	tests are run. This test checks for the presence of sysctl variables
	rather than the presense of the module in the event that mac_chkexec was
	compiled straight into the kernel.

Affected files ...

.. //depot/projects/trustedbsd/mac/tools/regression/mac/mac_chkexec/mac_chkexec.t#2 edit

Differences ...

==== //depot/projects/trustedbsd/mac/tools/regression/mac/mac_chkexec/mac_chkexec.t#2 (text+ko) ====

@@ -1,6 +1,11 @@
 #!/bin/sh
 #
 
+sysctl security.mac.chkexec >/dev/null
+if [ $? -ne 0 ]; then
+	echo ERROR: mac_chkexec must be loaded for these tests >/dev/stderr
+	exit 1
+fi
 sysctl security.mac.chkexec.ignore_untagged=0
 sysctl security.mac.chkexec.enforce=0
 rm -fr /tmp/prog.sh
To Unsubscribe: send mail to majordomo at trustedbsd.org
with "unsubscribe trustedbsd-cvs" in the body of the message



More information about the trustedbsd-cvs mailing list